New Dart Editor build 10994

New Dart Editor build 10315 released !

A new Dart Editor build is available at www.dartlang.org/editor. Changes include:
17 analysis issues fixed, as well as ongoing changes to support the M1 language.
We added a fix to not show errors or warnings for libraries in pub’s packages directory.
The mark occurrences feature is now on by default. In addition, we also now warn about issues for inferred types by default.
UX improvements around quick fixes.
Improvements to the inline method refactoring, the extract local refactoring, and the create method refactoring.
Several Dartium and command-line launching fixes.
The Editor workspace location has changed. The workspace is where we store information about your open files and folders. We had stored this in a ‘workspace’ directory co-located with the Editor application. We now always locate it in the user’s home directory. The first time you run this new build you’ll have to re-open the folders you had been working on. For more info, see
http://www.dartlang.org/docs/editor/#settings.
Several libraries have moved from dart-sdk/lib to dart-sdk/pkg. This means that they will not show up in the Files view and will no longer be accessible (erroneously) as a dart: import. You’ll want to use pub to access these pkg libraries.
As always, view the changelog for the full list of changes, and to get started with the Editor see our tutorial.


 Google+

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s